OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepGeom

# StepGeom_SurfaceBoundary Class Reference

Representation of STEP SELECT type SurfaceBoundary
.

`#include <StepGeom_SurfaceBoundary.hxx>`

Inheritance diagram for StepGeom_SurfaceBoundary:

[legend]

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepGeom_SurfaceBoundary ()
| Empty constructor .
Standard_EXPORT Standard_Integer | CaseNum (const Handle(Standard_Transient)&ent) const
| Recognizes a kind of SurfaceBoundary select type 1 -> BoundaryCurve from StepGeom 2 -> DegeneratePcurve from StepGeom 0 else .
Standard_EXPORT Handle_StepGeom_BoundaryCurve | BoundaryCurve () const
| Returns Value as BoundaryCurve (or Null if another type) .
Standard_EXPORT Handle_StepGeom_DegeneratePcurve | DegeneratePcurve () const
| Returns Value as DegeneratePcurve (or Null if another type) .

## Constructor & Destructor Documentation

Standard_EXPORT StepGeom_SurfaceBoundary::StepGeom_SurfaceBoundary | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_StepGeom_BoundaryCurve StepGeom_SurfaceBoundary::BoundaryCurve | ( |  | ) | const

Standard_EXPORT Standard_Integer StepGeom_SurfaceBoundary::CaseNum | ( | const Handle(Standard_Transient)& | ent | ) | const`[virtual]`

| Implements StepData_SelectType.

Standard_EXPORT Handle_StepGeom_DegeneratePcurve StepGeom_SurfaceBoundary::DegeneratePcurve | ( |  | ) | const

void StepGeom_SurfaceBoundary::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepGeom_SurfaceBoundary::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepGeom_SurfaceBoundary::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepData_SelectType.

The documentation for this class was generated from the following file:

- StepGeom_SurfaceBoundary.hxx